List of regions available for hiring Eats couriers

List of regions available for hiring Eats couriers. Region filtering takes into account the employment type and the park's country

Request

POST

https://fleet-api.taxi.yandex.net/v1/eats/regions/list

Headers

Name

Description

Accept-Language

Type: string

Preferred language of the response

Min length: 2

Example: ru

X-API-Key

Type: string

API-key

Min length: 1

Example: <API key>

X-Client-ID

Type: string

Client ID

Min length: 1

Example: <Client ID>

X-Park-ID

Type: string

Partner ID

Example: ee6f33c4562b4e1f8646d157bd70b2c4

Body

application/json
{
  "limit": 100,
  "cursor": "example",
  "region_name_prefix": " Mos ",
  "employment_type": "park_direct"
}

Name

Description

employment_type

Type: string

Employment type. Can be park_direct (park direct staff) or courier_service (courier service employee in Fleet terms)

Enum: park_direct, courier_service

limit

Type: integer

Number of regions to return

Min value: 1

Max value: 1000

cursor

Type: string

Cursor from which the next regions should be returned. To get the next batch of regions, specify the cursor received in the response to the previous request

Example: example

region_name_prefix

Type: string

Region name prefix for filtering. Regions whose name starts with the specified prefix will be returned in the response

Example: Mos

Responses

200 OK

List of regions where Eats hiring is open

Body

application/json
{
  "regions": [
    {
      "geobase_id": 1,
      "name": "Moscow"
    }
  ],
  "next_cursor": "example"
}

Name

Description

regions

Type: Region[]

List of regions where Eats hiring is open. Regions are sorted by the 'name' field

Example
[
  {
    "geobase_id": 1,
    "name": "Moscow"
  }
]

next_cursor

Type: string

Cursor for getting the next batch of regions. A null value means the list has been fully read

Example: example

Region

Name

Description

geobase_id

Type: integer

Region identifier in the geobase

name

Type: string

Localized region name

Example: Moscow

Example
{
  "geobase_id": 1,
  "name": "Moscow"
}

400 Bad Request

Invalid request parameters

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

422 Unprocessable Entity

Invalid request parameters

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example